import java.awt.*;
import javax.swing.*;


/**
 * A simple example of ad-hoc animation
 *
 * @author  Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class AnimatedCurveDriver
{
    /**
     * The entry point
     *
     * @param args   The command line arguments
     */
    public static void main(String[] args)
    {
       AnimatedCurve  ac;
       Container      contentPane;
       JFrame         window;
        

       window      = new JFrame("Animated Curve");
       contentPane = window.getContentPane();
       contentPane.setLayout(null);
       ac = new AnimatedCurve();
       ac.setBounds(0,0,500,500);
       window.add(ac);
       window.setSize(600,600);
       window.setVisible(true);
    }
}
