import java.awt.*;
import javax.swing.*;


/**
 * A simple example of graphics
 *
 * @author  Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class ExampleDriver
{
    /**
     * The entry point
     *
     * @param args   The command line arguments
     */
    public static void main(String[] args)
    {
       Container      contentPane;
       Example        example;
       JFrame         window;
        

       window      = new JFrame("Graphics Example");
       contentPane = window.getContentPane();
       contentPane.setLayout(null);
       example = new Example();
       example.setBounds(0,0,500,500);
       window.add(example);
       window.setSize(600,600);
       window.setVisible(true);
    }
}
