import java.awt.*;
import javax.swing.*;

/**
 * An example of ad hoc animation that uses some object-oriented
 * design principles
 *
 * @author  Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class FishTankDriver
{
    public static void main(String[] args)
    {
	Container        contentPane;
	FishTank         tank;
	JFrame           window;

	window = new JFrame("Flushy the Fish");
	contentPane = window.getContentPane();
	contentPane.setLayout(null);

	tank = new FishTank();
	tank.setBounds(0,0,640,480);

	contentPane.add(tank);

	window.setSize(640,480);
        window.setResizable(false);        
	window.setVisible(true);
    }

}
